pdf(file="Figure_2_single_components_DSC.pdf", 8.3*0.8*2, 11.7*0.8)

###TEREPHTHALIC ACID###

# Read in data
unmilled_T <- read.csv(file="Data/Terephthalic acid/Unmilled terephthalic acid.txt", sep="\t", header=FALSE)
t_zero_T <- read.csv(file="Data/Terephthalic acid/T_ cm_ zero weeks.txt", sep="\t", header=FALSE)
t_one_week_T <- read.csv(file="Data/Terephthalic acid/T_CM_ 1 weeks.txt", sep="\t", header=FALSE)
t_two_weeks_T <- read.csv(file="Data/Terephthalic acid/T_CM_ 2 weeks.txt", sep="\t", header=FALSE)
t_three_weeks_T <- read.csv(file="Data/Terephthalic acid/T_CM_3 weeks.txt", sep="\t", header=FALSE)

# Plot main figure
par(fig = c(0,1/3,0,1))
offset <- 2
plot(unmilled_T, type="l", ylim=c(-12, 9), ylab="Heat flow (W/g) + offset", xlab=expression(paste("Temperature ", "(", degree, "C)", sep="")), main="a) Terephthalic acid")
text(0, 0.15, "As received", adj = c(0, NA))
lines(t_zero_T[,1], t_zero_T[,2]+offset)
text(0, 1.9, "Cryomilled: t=0", adj = c(0, NA))
lines(t_one_week_T[,1], t_one_week_T[,2]+offset*2)
text(0, 3.8, "Cryomilled: t=one week", adj = c(0, NA))
lines(t_two_weeks_T[,1], t_two_weeks_T[,2]+offset*3)
text(0, 5.9, "Cryomilled: t=two weeks", adj = c(0, NA))
lines(t_three_weeks_T[,1], t_three_weeks_T[,2]+offset*4)
text(0, 8.2, "Cryomilled: t=three weeks", adj = c(0, NA))

# Plot inset
par(fig = c(0.035,0.83*1/3, 0.07, 0.55), new = T)  
offset <- 1
plot(unmilled_T, type="l", ylim=c(-0.5, 4.2), ylab="", xlab="", xlim=c(80, 190))
lines(t_zero_T[,1], t_zero_T[,2]+offset)
#lines(t_zero_2[,1], t_zero_2[,2]+offset)
lines(t_one_week_T[,1], t_one_week_T[,2]+offset*2)
lines(t_two_weeks_T[,1], t_two_weeks_T[,2]+offset*3)
lines(t_three_weeks_T[,1], t_three_weeks_T[,2]+offset*4)



###ISOPHTHALIC ACID###

# Read in data
unmilled_I <- read.csv(file="Data/Isophthalic acid/Isophthalic acid unmilled.txt", sep="\t", header=FALSE)
t_zero_I <- read.csv(file="Data/Isophthalic acid/Isophthalic acid CM_zero weeks.txt", sep="\t", header=FALSE)
t_zero_2_I <- read.csv(file="Data/Isophthalic acid/I_CM_zero weeks_2.txt", sep="\t", header=FALSE)
t_one_week_I <- read.csv(file="Data/Isophthalic acid/I_CM_week_1.txt", sep="\t", header=FALSE)
t_two_weeks_I <- read.csv(file="Data/Isophthalic acid/I_CM_week_ 2.txt", sep="\t", header=FALSE)
t_three_weeks_I <- read.csv(file="Data/Isophthalic acid/Isophthalic acid_CM 3 weeks.txt", sep="\t", header=FALSE)

# Plot main figure
par(fig = c(1/3,2/3,0,1), new=T)
offset <- 2
plot(unmilled_I, type="l", ylim=c(-12, 10), ylab="Heat flow (W/g) + offset", xlab=expression(paste("Temperature ", "(", degree, "C)", sep="")), main="b) Isophthalic acid")
text(0, 0.2, "As received", adj = c(0, NA))
lines(t_zero_I[,1], t_zero_I[,2]+offset)
text(0, 2.2, "Cryomilled: t=0", adj = c(0, NA))
#lines(t_zero_2[,1], t_zero_2[,2]+offset)
lines(t_one_week_I[,1], t_one_week_I[,2]+offset*2)
text(0, 3.8, "Cryomilled: t=one week", adj = c(0, NA))
lines(t_two_weeks_I[,1], t_two_weeks_I[,2]+offset*3)
text(0, 5.9, "Cryomilled: t=two weeks", adj = c(0, NA))
lines(t_three_weeks_I[,1], t_three_weeks_I[,2]+offset*4)
text(0, 8.8, "Cryomilled: t=three weeks", adj = c(0, NA))

# Plot inset
par(fig = c(0.035+1/3,0.83*1/3+1/3, 0.07, 0.55), new = T)  
offset <- 0.75
plot(unmilled_I, type="l", ylim=c(-0.5, 3.2), ylab="", xlab="", xlim=c(80, 190))
lines(t_zero_I[,1], t_zero_I[,2]+offset)
#lines(t_zero_2[,1], t_zero_2[,2]+offset)
lines(t_one_week_I[,1], t_one_week_I[,2]+offset*2)
lines(t_two_weeks_I[,1], t_two_weeks_I[,2]+offset*3)
lines(t_three_weeks_I[,1], t_three_weeks_I[,2]+offset*4)

###PHTHALIC ACID###

# Read in data
unmilled_P <- read.csv(file="Data/Phthalic acid/phthalic acid unmilled.txt", sep="\t", header=FALSE)
t_zero_P <- read.csv(file="Data/Phthalic acid/phthalic acid_CM zero weeks.txt", sep="\t", header=FALSE)
t_one_week_P <- read.csv(file="Data/Phthalic acid/pthalic acid_ CM 1 weeks.txt", sep="\t", header=FALSE)
t_two_weeks_P <- read.csv(file="Data/Phthalic acid/pthalic acid_CM 2 weeks.txt", sep="\t", header=FALSE)
t_three_weeks_P <- read.csv(file="Data/Phthalic acid/phthalic acid CM_ 3 WEEKS.txt", sep="\t", header=FALSE)

# Plot main figure
par(fig = c(2/3,1,0,1), new = T)
offset <- 2.5
plot(unmilled_P, type="l", ylim=c(-26, 12), ylab="Heat flow (W/g) + offset", xlab=expression(paste("Temperature ", "(", degree, "C)", sep="")), main="c) Phthalic acid")
text(0, 0.25, "As received", adj = c(0, NA))
lines(t_zero_P[,1], t_zero_P[,2]+offset)
text(0, 2.2, "Cryomilled: t=0", adj = c(0, NA))
lines(t_one_week_P[,1], t_one_week_P[,2]+offset*2)
text(0, 5, "Cryomilled: t=one week", adj = c(0, NA))
lines(t_two_weeks_P[,1], t_two_weeks_P[,2]+offset*3)
text(0, 7.5, "Cryomilled: t=two weeks", adj = c(0, NA))
lines(t_three_weeks_P[,1], t_three_weeks_P[,2]+offset*4)
text(0, 11, "Cryomilled: t=three weeks", adj = c(0, NA))

# Plot inset
par(fig = c(0.035+2/3,0.83*1/3+2/3, 0.07, 0.55), new = T)  
offset <- 1.5
plot(unmilled_P, type="l", ylim=c(-0.5, 6.2), ylab="", xlab="", xlim=c(80, 190))
lines(t_zero_P[,1], t_zero_P[,2]+offset)
#lines(t_zero_2[,1], t_zero_2[,2]+offset)
lines(t_one_week_P[,1], t_one_week_P[,2]+offset*2)
lines(t_two_weeks_P[,1], t_two_weeks_P[,2]+offset*3)
lines(t_three_weeks_P[,1], t_three_weeks_P[,2]+offset*4)



dev.off()
