xmin <- 10
xmax <- 35

P_CM_0 <- read.csv(file="Phthalic acid CM_zero weeks.xy", sep="", header=FALSE)
P_CM_0 <- subset(P_CM_0, P_CM_0[,1] >= xmin & P_CM_0[,1] <= xmax)
P_CM_0[,2] <- P_CM_0[,2] / max(P_CM_0[,2])

I_CM_0 <- read.csv(file="Isophthalic acid CM_zero weeks.xy", sep="", header=FALSE)
I_CM_0 <- subset(I_CM_0, I_CM_0[,1] >= xmin & I_CM_0[,1] <= xmax)
I_CM_0[,2] <- I_CM_0[,2] / max(I_CM_0[,2])

IP_separate_0 <- read.csv(file="Phthalic and isophthalic CM separately_zero weeks.xy", sep="", header=FALSE)
IP_separate_0 <- subset(IP_separate_0, IP_separate_0[,1] >= xmin & IP_separate_0[,1] <= xmax)
IP_separate_0[,2] <- IP_separate_0[,2] / max(IP_separate_0[,2])

IP_together_0 <- read.csv(file="Phthalic and isophthalic acid CM together _zero weeksxrdml.xy", sep="", header=FALSE)
IP_together_0 <- subset(IP_together_0, IP_together_0[,1] >= xmin & IP_together_0[,1] <= xmax)
IP_together_0[,2] <- IP_together_0[,2] / max(IP_together_0[,2])

IP_separate_3 <- read.csv(file="Phthalic and isophthalic acid CM separately_week 3.xy", sep="", header=FALSE)
IP_separate_3 <- subset(IP_separate_3, IP_separate_3[,1] >= xmin & IP_separate_3[,1] <= xmax)
IP_separate_3[,2] <- IP_separate_3[,2] / max(IP_separate_3[,2])

IP_together_3 <- read.csv(file="Phthalic and isophthalic acid CM together_week 3.xy", sep="", header=FALSE)
IP_together_3 <- subset(IP_together_3, IP_together_3[,1] >= xmin & IP_together_3[,1] <= xmax)
IP_together_3[,2] <- IP_together_3[,2] / max(IP_together_3[,2])

offset <- 1
library(fields)
start_text_position_y <- -0.15
start_text_position_x <- 15
pdf("IP_XRPD_for_paper.pdf", 8.3, 11.7)
plot(P_CM_0, type="l", xlab=expression(paste("Angle (",degree,"2", theta,")")), ylab="Intensity (offset and normalised)", ylim=c(0, 6))
text(start_text_position_x, start_text_position_y, "Phthalic acid zero weeks")
lines(I_CM_0[,1], I_CM_0[,2] + offset)
text(start_text_position_x, start_text_position_y+offset, "Isopthalic acid zero weeks")
lines(IP_separate_0[,1], IP_separate_0[,2] + offset*2)
text(start_text_position_x, start_text_position_y+offset*2, "Physical mixture zero weeks")
lines(IP_separate_3[,1], IP_separate_3[,2] + offset*3)
text(start_text_position_x, start_text_position_y+offset*3, "Physical mixture three weeks")
lines(IP_together_0[,1], IP_together_0[,2] + offset*4)
text(start_text_position_x, start_text_position_y+offset*4, "Co-cryo-milled zero weeks")
lines(IP_together_3[,1], IP_together_3[,2] + offset*5)
text(start_text_position_x, start_text_position_y+offset*5, "Co-cryo-milled three weeks")
xline(27.0, col="red")
xline(27.8, col="red")
#xline(27.9, col="red")
dev.off()


