myfiles <- list.files(pattern=".csv")
number.of.files <- length(myfiles) # <-- count the length of the list of files
myfiles <- myfiles[c(2,3,1)] # <-- re-arrange the order in which they are listed for a sensible plot
pdf(file="example NEW_3.pdf") # <- Define a pdf for output, and begin writing to it
# Each plot on a separate page
par(mfrow=c(4,2)) # <- Set up a 4x2 grid and put the first 8 figures into it
for (i in 1:number.of.files) # <-- A LOOP. Type "1:number.of.files" at the R prompt to understand it.
{
  mydata <- read.csv(file=myfiles[i], skip=5, header=FALSE) # <-- Read in a csv file
  object_name <- gsub(".csv", "", myfiles[i]) # <-- This is what we will call it within R
  print(object_name) # <-- Print the object name on the screen
  assign(object_name, mydata) # <-- Assign "mydata" (read in above) to the new named object
  plot(get(object_name), type="l", main=gsub(".csv", "", gsub("_", " ", myfiles[i])), xlab="Wavenumber", ylab="Difference") # <-- and plot
}
par(mfrow=c(1,1)) # <-- Now revert to one plot per page
offset <- 80 # <- A variable, used in the LOOP belowa
for (i in 1:number.of.files) # <-- Start of loop
{
  object_name <- gsub(".csv", "", myfiles[i]) # <-- Decide what we'll work with here
  if (i == 1) # <-- Create a new plot for the first object...
  {
    plot(get(object_name), type="l", xlab="Wavenumber", ylab="Difference", ylim=c(10, 250), xlim=c(1800, 1120))
  }
  if (i != 1) # <-- then add to it for remaining objects
  {
    lines(get(object_name)[,1], get(object_name)[,2]+offset*(i-1))
  }
  text(1470, 90+offset*(i-1), gsub("_", " ", object_name), cex=0.75) # <-- Add text, re-sizing via "cex" (character expansion)
  

dev.off()

